# ProjectsResource

You can use projects to retrieve the details of your project

## Methods

### getCurrent()

```ts
getCurrent(includeRelations?): Promise<FirmhouseProject>
```

Retrieve current project

#### Parameters

• **includeRelations?**

Relations to include in the response

* **extraFields?**: `boolean`

  Include extraFields relation
* **promotions?**: `boolean`

  Include promotions relation
* **taxRates?**: `boolean`

  Include taxRates relation

#### Returns

`Promise`<[`FirmhouseProject`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-project.md)>

the current project


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/resources/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
